Skip to content

Get an activity

GET
/activity/{activityId}
curl --request GET \
--url https://apisandbox.puurk.com/activity/example \
--header 'Authorization: Bearer <token>'

Returns a single activity event

activityId
required
string

ID of the activity

Successful operation

Media typeapplication/json
object
id
string
oid

Organization ID

string
eid

Employee/entity ID

string
client_id

Client (lead) ID

string
location_id
string
type

Type of activity notification

string
Allowed values: offer_accepted offer_declined offer_paid_in_full offer_shared offer_viewed contract_signed contract_fulfilled contract_cancelled payment_succeeded payment_declined payment_refunded payment_returned payment_reminder payout_initiated
category
string
Allowed values: offer contract payment payout
reference_id

ID of the referenced entity (offer, contract, payment, etc.)

string
timestamp
string format: date-time
uid
string
title
string
description
string
metadata
object
key
additional properties
any
related_uids
Array<string>
Example
{
"type": "offer_accepted",
"category": "offer"
}

Unauthorized

Not found